atom feed4 messages in com.ubuntu.lists.ubuntu-esProblema con libreria libstdc++6
FromSent OnAttachments
Alberto MontoyaFeb 23, 2010 7:36 am 
Mauricio J. Adonis C.Feb 23, 2010 1:12 pm 
Alberto MontoyaFeb 23, 2010 3:23 pm 
Alberto MontoyaFeb 24, 2010 9:05 am 
Subject:Problema con libreria libstdc++6
From:Alberto Montoya (eral@gmail.com)
Date:Feb 23, 2010 7:36:14 am
List:com.ubuntu.lists.ubuntu-es

Hola compañeros!

Ayer me decidí a actualizar mi Ubuntu desde la 8.10 hasta la 9.10 (pasando por la 9.04). La actualización fue bien pero ahora tengo un problema con la librería libstdc++6. El Nautilus, el apt-get, el synaptic, el gestor de actualizaciones y muchas otras aplicaciones no funcionan porque no encuentran dicha librería, pero la librería ESTA! He buscado en Google y he visto que otra gente ha solucionado el problema renombrando el archivo /usr/local/lib/libstdc++.so.6, he hecho eso y efectivamente se solucionan los problemas hasta que instalo algún paquete o actualizo algo, en definitiva hasta que se vuelve a ejecutar un ldconfig. ¿Alguien me puede echar una mano?

El error que me da es (en el caso del nautilus):

nautilus: /usr/local/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/libexempi.so.3)

Un saludo y muchas gracias